package com.ejie;

import wlshell.*;
import java.io.*;

public class wlshell {
  public wlshell() {
  }

  public static void main(String[] args) throws IOException {
    // Se hace el tratamiento de parametros
    String script=null;
    String server=null;
    String user=null;
    String password=null;
    String codigoApp=null;
    String instancia=null;
    if (args.length!=12) {
      System.out.println("Numero de Parametros incorrecto, la forma correcta es:");
      System.exit(-1);
    }
    else {
      script=args[1];
      server=args[3];
      user=args[5];
      password=args[7];
      codigoApp=args[9];
      instancia=args[11];
    }

    // Mensajito para que el usuario vea algo
    System.out.println("************************************************************************");
    System.out.println("* Conectando con el Dominio de Weblogic 8.1");

    // Se capturan los streams usados por defecto
    ByteArrayOutputStream baos=new ByteArrayOutputStream();
    BufferedOutputStream bos=new BufferedOutputStream(baos);
    PrintStream ps=new PrintStream(baos);
    PrintStream outOriginal=System.out;
    System.setOut(ps);

    // Se completan los parametros necesarios para la shell de Paco y se ejecuta
    Main ejecutor=new Main();
    String[] argumentos=new String[12];
    argumentos[0]="-f";
    argumentos[1]=script;
    argumentos[2]="-v";
    argumentos[3]=server;
    argumentos[4]="-v";
    argumentos[5]=user;
    argumentos[6]="-v";
    argumentos[7]=password;
    argumentos[8]="-v";
    argumentos[9]=codigoApp;
    argumentos[10]="-v";
    argumentos[11]=instancia;
    ejecutor.main(argumentos);

    // Se vuelve a dejar el stream por defecto y se filtran los datos
    System.setOut(outOriginal);

    BufferedReader br = new BufferedReader(new StringReader(baos.toString()));
    String linea = null;
    while ( (linea = br.readLine()) != null)
      if ((linea!=null) && (linea.length()>0) && (linea.charAt(0) == '*'))
        System.out.println(linea);
  }
}